package com.example.mangoswordsearch;

import androidx.appcompat.app.AppCompatActivity;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.ObjectAnimator;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.WindowManager;
import android.view.animation.AccelerateDecelerateInterpolator;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.view.animation.DecelerateInterpolator;
import android.widget.Button;
import android.widget.TextView;

public class Results extends AppCompatActivity implements Animation.AnimationListener {

    String wordresultcat;
    String[] wordarrayresult;

    //Initializes Word Bank Text Views to be able to be displayed
    TextView word;
    TextView word2;
    TextView word3;
    TextView word4;
    TextView word5;
    TextView word6;
    TextView word7;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_results);

        //Enables Immersive Full Screen
        getWindow().getDecorView().setSystemUiVisibility(
                View.SYSTEM_UI_FLAG_FULLSCREEN | View.SYSTEM_UI_FLAG_HIDE_NAVIGATION | View.SYSTEM_UI_FLAG_IMMERSIVE_STICKY |
                        View.SYSTEM_UI_FLAG_LAYOUT_FULLSCREEN | View.SYSTEM_UI_FLAG_LAYOUT_HIDE_NAVIGATION | View.SYSTEM_UI_FLAG_LAYOUT_STABLE
        );

        //Data Attained from Previous Screen to Attain Words from Chosen Category
        Intent intent = getIntent();
        wordarrayresult = intent.getStringArrayExtra(GamePlay.RESULT);
        wordresultcat = intent.getStringExtra(GamePlay.RESULTCATEGORY);

        word = (TextView) findViewById(R.id.textView);
        word2 = (TextView) findViewById(R.id.textView2);
        word3 = (TextView) findViewById(R.id.textView3);
        word4 = (TextView) findViewById(R.id.textView4);
        word5 = (TextView) findViewById(R.id.textView5);
        word6 = (TextView) findViewById(R.id.textView6);
        word7 = (TextView) findViewById(R.id.textView7);

        wordDisplay(wordarrayresult);

        TextView categoryword = (TextView) findViewById(R.id.wordscompletetext);
        categoryword.setText(wordresultcat);

        TextView congratstext = (TextView) findViewById(R.id.congratulationstext);

        //Initialize Animation
        Animation anime = AnimationUtils.loadAnimation(this, R.anim.congrats);
        anime.setFillAfter(true);
        anime.setAnimationListener(this);

        congratstext.startAnimation(anime);

        Button titlebtn = (Button) findViewById(R.id.titlebutton);
        titlebtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent intent = new Intent(Results.this, TitleScreen.class);
                startActivity(intent);}
        });

        /*Button exitbtn = (Button) findViewById(R.id.exitbutton);
        exitbtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Results.this.finish();
                System.exit(0);}
        });*/
    }

    public void wordDisplay(String[] words)
    {
        int e = 0; //counter to go through all words in the words array and have their own textview
        //stops when all words have been placed in the wordbank(at least 7 to start(Easy))
        word.setText(words[e]);
        e++;
        word2.setText(words[e]);
        e++;
        word3.setText(words[e]);
        e++;
        word4.setText(words[e]);
        e++;
        word5.setText(words[e]);
        e++;
        word6.setText(words[e]);
        e++;
        word7.setText(words[e]);
        //end
    }

    @Override
    public void onAnimationStart(Animation animation) {

    }

    @Override
    public void onAnimationEnd(Animation animation) {

    }

    @Override
    public void onAnimationRepeat(Animation animation) {

    }
}