package com.example.mangoswordsearch;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.view.View;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.EditText;

public class CreateGame extends AppCompatActivity {

    public static final String CREATE = "PKG_CREATE"; //contains data to pass through intent
    String[] createwords;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_create_game);

        //Enables Immersive Full Screen
        getWindow().getDecorView().setSystemUiVisibility(
                View.SYSTEM_UI_FLAG_FULLSCREEN | View.SYSTEM_UI_FLAG_HIDE_NAVIGATION | View.SYSTEM_UI_FLAG_IMMERSIVE_STICKY |
                        View.SYSTEM_UI_FLAG_LAYOUT_FULLSCREEN | View.SYSTEM_UI_FLAG_LAYOUT_HIDE_NAVIGATION | View.SYSTEM_UI_FLAG_LAYOUT_STABLE
        );

        EditText winput1 = (EditText)findViewById(R.id.wordinput1);
        EditText winput2 = (EditText)findViewById(R.id.wordinput2);
        EditText winput3 = (EditText)findViewById(R.id.wordinput3);
        EditText winput4 = (EditText)findViewById(R.id.wordinput4);
        EditText winput5 = (EditText)findViewById(R.id.wordinput5);
        EditText winput6 = (EditText)findViewById(R.id.wordinput6);
        EditText winput7 = (EditText)findViewById(R.id.wordinput7);

        Button backbtn = (Button) findViewById(R.id.backbutton);
        backbtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent intent = new Intent(CreateGame.this, TitleScreen.class);
                startActivity(intent);}
        });

        Button createbtn = (Button) findViewById(R.id.createbutton);
        createbtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent intent = new Intent(CreateGame.this, GamePlay.class);
                //Check Text
                String word1 = String.valueOf(winput1.getText());
                String word2 = String.valueOf(winput2.getText());
                String word3 = String.valueOf(winput3.getText());
                String word4 = String.valueOf(winput4.getText());
                String word5 = String.valueOf(winput5.getText());
                String word6 = String.valueOf(winput6.getText());
                String word7 = String.valueOf(winput7.getText());
                createwords = new String[] {word1, word2, word3, word4, word5, word6, word7};
                intent.putExtra(CREATE, createwords);
                startActivity(intent);}
        });
    }
}