package com.example.mangoswordsearch;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.GridView;
import android.widget.TextView;

public class MainAdapter extends BaseAdapter {

    //This adapter is used to display the data on the GridView

    private Context context;
    private LayoutInflater inflater;
    private char[][] letters;
    private int rowPosition;
    private int columnPosition;

    //Initializes local private data variables
    public MainAdapter(Context c, char[][] letters){
        context=c;
        this.letters = letters;
    }

    //Gets length of row
    @Override
    public int getCount() { return letters.length; }

    //Gets length of column
    public int getColumnCount(){ return letters[0].length; }

    //Not used
    @Override
    public Object getItem(int i) {
        return null;
    }

    //Gets an individual item in the array(Individual Letter)
    public Object getItem(int rowNum, int columnNum)
    {
        return letters[rowNum][columnNum];
    }

    //Gets the id of the individual item in the array(Not Used Frequently)
    @Override
    public long getItemId(int i) {
        return 0;
    }

    //Does getView for each iteration of the Letter Array
    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        if(convertView == null)
        {
            LayoutInflater inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
            convertView = inflater.inflate(R.layout.row_item, null);
        }
        TextView lettertext = (TextView) convertView.findViewById(R.id.letteritem); //get id for textview
        lettertext.setText("" + letters[position][position]); //set text
        //return lettertext;
        return lettertext;
        /*if(inflater == null) {
            inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        }
        //Displays the Words/Letters
        TextView lettertext;

        if(convertView == null){
            convertView = inflater.inflate(R.layout.row_item, null);
            lettertext = (TextView) convertView.findViewById(R.id.letteritem);
        }
        else
        {
            lettertext = (TextView) convertView;
        }

        //this is to avoid position issues(I assume data stays after execution)
        rowPosition = rowPosition;
        columnPosition = columnPosition;
        lettertext.setText(""+letters[rowPosition][columnPosition]);
        columnPosition++;
        if(columnPosition == letters.length)
        {
            rowPosition++;
            columnPosition=0;
        }
        return lettertext;*/
    }
}
